## kinet-server-meta-packages 6.0

=== debian/changelog ===
kinet-server-meta-packages (6.0) trixie-kinet; urgency=medium

  * Updating various dependencies.
  * Uploading to trixie-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Wed, 08 Oct 2025 15:28:45 +0200

kinet-server-meta-packages (5.1) bookworm-kinet; urgency=medium

  * Updating dependencies of kinet-service-web.
  * Renaming and updating kinet-service-play to kinet-service-intern.
  * Uploading to bookworm-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Mon, 23 Sep 2024 19:02:50 +0200

kinet-server-meta-packages (5.0) bookworm-kinet; urgency=medium

  * Updating year in copyright.
  * Updating to standards version 4.6.2, no changes needed.
  * Removing dependencies on bridge-utils and fail2ban for kinet-server-
    common.
  * Removing meta package kinet-service-hp.
  * Removing meta package kinet-service-radius.
  * Removing meta package kinet-service-connector.
  * Removing meta package kinet-service-monitor.
  * Removing meta package kinet-service-unterricht.
  * Removing meta package kinet-service-ansible.
  * Fixing typo in description.
  * Updating obsolete dependency on libfreetype-dev.
  * Removing obsolete dependency on apt-transport-https.
  * Uploading to bookworm-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Thu, 08 Feb 2024 22:41:48 +0100

kinet-server-meta-packages (4.2) bullseye-kinet; urgency=medium

  * Removing conflicts on obsolete package kinet-mail.
  * Adding qemu-guest-agent as a dependency for kinet-vm.
  * Updating to standards version 4.6.1, no changes needed.
  * Switching to debhelper compat level 13.
  * Updating year in copyright file.
  * Uploading to bullseye-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Thu, 13 Oct 2022 06:51:08 +0200

kinet-server-meta-packages (4.1) bullseye-kinet; urgency=medium

  * Improving kinet-server, kinet-vip and kinet-service-meteo.
  * Uploading to bullseye-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Tue, 11 Oct 2022 11:01:01 +0200

kinet-server-meta-packages (4.0) bullseye-kinet; urgency=medium

  * Updating year in copyright file.
  * Updating to standards version 4.6.0, no changes needed.
  * Updating maintainer field.
  * Uploading to bullseye-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Wed, 27 Oct 2021 18:51:53 +0200

kinet-server-meta-packages (3.10) buster-kinet; urgency=medium

  * Adding meta packages kinet-service-grav and kinet-service-wordpress.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Thu, 24 Sep 2020 09:23:06 +0200

kinet-server-meta-packages (3.9) buster-kinet; urgency=medium

  * Adding meta package kinet-service-gitlab-runner.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Wed, 23 Sep 2020 20:55:06 +0200

kinet-server-meta-packages (3.8) buster-kinet; urgency=medium

  * Fixing typo in dependencies of kinet-service-ansible.
  * Adding meta package kinet-service-unifi.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Wed, 23 Sep 2020 11:44:19 +0200

kinet-server-meta-packages (3.7) buster-kinet; urgency=medium

  * Adding dependency on dehydrated-apache2 for kinet-service-play.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Tue, 22 Sep 2020 17:58:13 +0200

kinet-server-meta-packages (3.6) buster-kinet; urgency=medium

  * Removing nodejs and npm from build-dependencies of kinet-service-play.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Tue, 22 Sep 2020 13:23:54 +0200

kinet-server-meta-packages (3.5) buster-kinet; urgency=medium

  * Adding binary package kinet-service-gitlab.
  * Updating to standards version 4.5.0, no changes needed.
  * Updating url in copyright file.
  * Updating year in copyright file.
  * Adding libreoffice-writer as a dependency of kinet-service-play.
  * Adding more dependencies for kinet-service-play.
  * Removing package kinet-mail.
  * Removing package kinet-service-proxy.
  * Removing dependency on bsd-mailx for kinet-service-connector.
  * Updating dependencies for kinet-service-gitlab.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Thu, 17 Sep 2020 10:21:08 +0200

kinet-server-meta-packages (3.4) buster-kinet; urgency=medium

  * Updating vcs fields.
  * Fixing description of kinet-service-lists.
  * Adding kinet-service-ansible.
  * Switching from openjdk 8 to 11 for kinet-service-play..
  * Switching from php5 to php7.3 for kinet-service-web.
  * Deactivating freeradius-ldap for service kinet-service-radius.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Mon, 20 Jan 2020 10:41:46 +0100

kinet-server-meta-packages (3.3) buster-kinet; urgency=medium

  * Adding gnupg as a dependency for kinet-server-common.
  * Adding dependency on powerline-gitstatus.
  * Adding vcs fields.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Thu, 28 Nov 2019 08:46:39 +0100

kinet-server-meta-packages (3.2) buster-kinet; urgency=medium

  * Adding intel-microcode and spectre-meltdown-checker for kinet-server
    and kinet-vip.
  * Removing no longer present heirloom-mailx from kinet-server-common and
    changing to bsd-mailx in kinet-service-connector.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Mon, 25 Nov 2019 16:02:43 +0100

kinet-server-meta-packages (3.1) buster-kinet; urgency=medium

  * Removing dependency on openssh-kinet.
  * Uploading to buster-kinet.

 -- Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>  Fri, 22 Nov 2019 15:09:49 +0100

kinet-server-meta-packages (3.0) buster-kinet; urgency=medium

  * Updating to debhelper compat level 12.
  * Removing custom compression in source/options.
  * Removing custom compression in rules.
  * Updating to standards version 4.4.1.
  * Removing no longer valid vcs fields.
  * Updating year in copyright file.

