=== debian/control ===
Source: kinet-server-meta-packages
Section: metapackages
Priority: optional
Maintainer: Informatikdienst <support@gymkirchenfeld.ch>
Uploaders: Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Browser: https://gitlab.gymkirchenfeld.ch/debian-kinet/kinet-server-meta-packages
Vcs-Git: https://gitlab.gymkirchenfeld.ch/debian-kinet/kinet-server-meta-packages.git

Package: kinet-server-common
Architecture: all
Pre-Depends: etckeeper
Depends:
 ${misc:Depends},
# kinet
 kinet-baseconfig,
# package management
 aptitude,
 unattended-upgrades,
# sysadmin
 bash-completion,
 git,
 locales,
 locate,
 molly-guard,
 nano,
 powerline-gitstatus,
 screen,
 sudo,
 vim,
 wipe,
# ssh
 openssh-client,
 openssh-server,
# nagios
 binutils,
 monitoring-plugins-basic,
 monitoring-plugins-standard,
 nagios-plugins-contrib, libmonitoring-plugin-perl,
 monitoring-plugins-kinet,
 perl,
Description: Kinet server packages - common
 This package provides the common package selection for kinet servers.
 .
 This is a virtual package.

Package: kinet-server
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
 systemd-timesyncd,
 intel-microcode,
 spectre-meltdown-checker,
# mail environment
 postfix,
Conflicts: kinet-vip, kinet-vm
Description: Kinet standalone server packages - bare-metal server
 This package provides the package selection for kinet server standalone
 servers.
 .
 This is a virtual package.

Package: kinet-vm
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# qemu
 qemu-guest-agent,
# mail environment
 postfix,
Conflicts: kinet-vip, kinet-server
Description: Kinet virtual server packages - vm host
 This package provides the package selection for kinet server virtual machines.
 .
 This is a virtual package.

Package: kinet-vip
Architecture: all
Pre-Depends: proxmox-virtual-environment
Depends:
 ${misc:Depends},
 kinet-server-common,
 chrony,
 intel-microcode,
 spectre-meltdown-checker,
# mail environment
 postfix,
Conflicts: kinet-server, kinet-vm
Description: Kinet server packages - virtualization platform
 This package provides the package selection for kinet proxmox virtualization
 servers.
 .
 This is a virtual package.

Package: kinet-service-buildd
Architecture: all
Depends:
  ${misc:Depends},
  kinet-server-common,
# package building
  sbuild,
  ant,
  apache2-dev,
  build-essential,
  cdbs,
  debhelper,
  debian-keyring,
  debootstrap,
  dh-autoreconf,
  dupload,
  fakeroot,
  git-stuff,
  javahelper,
  libcrypt-ssleay-perl,
  libfreetype-dev,
  libghc-sdl-image-dev,
  libghc-sdl-mixer-dev,
  libghc-sdl-ttf-dev,
  libjpeg-dev,
  libportmidi-dev,
  libsdl1.2-dev,
  lintian,
  live-build,
  maven-repo-helper,
  pristine-tar,
  python-setuptools,
  unzip,
  zip,
# uscan download
  libwww-perl,
Description: Kinet server packages - build daemon
 This package provides the build daemon specific package selection for kinet
 servers.
 .
 This is a virtual package.

Package: kinet-service-intern
Architecture: all
Depends:
 ${misc:Depends},
# zip
 zip,
 unzip,
# apache
 apache2,
# java
 openjdk-17-jdk-headless,
# gallery
 imagemagick,
 jhead,
# reports
 ttf-mscorefonts-installer,
 fonts-lineto-akkurat,
 libreoffice-writer,
# letsencrypt
 dehydrated,
 dehydrated-apache2,
 open-infrastructure-dehydrated-tools,
# install
 rsync,
Description: Kinet server packages - kinet api server
 This package provides the kinet api specific package selection for kinet
 servers.
 .
 This is a virtual package.

Package: kinet-service-meteo
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# meteo service
 weewx,
# meteo website
 apache2,
 dehydrated-tools,
 knot-dnsutils,
 python3-ephem,
# access meteo db
 sqlite3,
Description: Kinet server packages - meteo server
 This package provides the meteo server specific package selection for kinet
 servers.
 .
 This is a virtual package.

Package: kinet-service-web
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# web
 apache2,
# ms auth
 libapache2-mod-auth-openidc,
# php
 libapache2-mod-php,
 php-mysql,
 php-curl,
 php-ldap,
 php-gd,
 php-pgsql,
 php-sqlite3,
# dokuwiki (pdf export)
 php-mbstring,
# various
 imagemagick,
# letsencrypt
 dehydrated,
 dehydrated-apache2,
 open-infrastructure-dehydrated-tools,
Description: Kinet server packages - webserver
 This package provides the webserver specific package selection for kinet
 servers.
 .
 This is a virtual package.

Package: kinet-service-db
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# postgres
 postgresql,
 postgresql-contrib,
# mysql
 default-mysql-server,
Description: Kinet server packages - db server
 This package provides the db server specific package selection for kinet
 servers.
 .
 This is a virtual package.

Package: kinet-service-repo
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# reprepro
 reprepro,
 apache2,
# letsencrypt
 dehydrated-apache2
Description: Kinet server package - repo server
 This package provides the repo server specific package selection for kinet
 servers.
 .
 This is a virtual package.

Package: kinet-service-lists
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# mailman lists
 postfix,
 mailman,
 spamassassin,
 dehydrated-apache2,
Description: Kinet server package - server running mailman software
 This package provides the specific packages for running mailman software.
 .
 This is a virtual package.

Package: kinet-service-gitlab
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# gitlab
 gitlab-ee,
Description: Kinet server package - server running gitlab software
 This package provides the specific packages for running gitlab software.
 .
 This is a virtual package.

Package: kinet-service-unifi
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# unifi
 ca-certificates,
 unifi,
Description: Kinet server package - server running unifi software
 This package provides the specific packages for running ubiquiti unifi
 software.
 .
 This is a virtual package.

Package: kinet-service-gitlab-runner
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# gitlab-runner
 gitlab-runner,
 rsync,
# ci/cd
 nodejs,
 yarnpkg,
Description: Kinet server package - server running gitlab-runner software
 This package provides the specific packages for running gitlab-runner and
 ci/cd software.
 .
 This is a virtual package.

Package: kinet-service-grav
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# grav
 libapache2-mod-php,
 php-mbstring,
 php-xml,
 php-zip,
# letsencrypt
 dehydrated-apache2,
Description: Kinet server package - server running grav framework
 This package provides the specific packages for running grav framework.
 .
 This is a virtual package.

Package: kinet-service-wordpress
Architecture: all
Depends:
 ${misc:Depends},
 kinet-server-common,
# wordpress
 libapache2-mod-php,
 php-curl,
 php-dom,
 php-exif,
 php-fileinfo,
 php-gd,
 php-iconv,
 php-imagick,
 php-json,
 php-mbstring,
 php-mysql,
 php-xml,
 php-zip,
# letsencrypt
 dehydrated-apache2,
Description: Kinet server package - server running wordpress
 This package provides the specific packages for running wordpress.
 .
 This is a virtual package.
